Name:           imspkg
Version:        0.2.2
Release:        1%{?dist}
Summary:        InfoMaaS utility for working with koji
License:        GPLv2+
URL:            https://pagure.io/fedpkg
BuildArch:      noarch

Source0:        https://gitea.infomaas.com/Infomaas/imspkg/archive/%{name}-%{version}.tar.gz

Requires:       koji
Requires:       git
Requires:       redhat-rpm-config

BuildRequires:  cmake

%description
Provides the imspkg-* command for working with InfoMaaS koji

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%{__rm} -rf %{buildroot}
%cmake_install

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/koji.conf
%{_bindir}/%{name}-build


%changelog
* Thu Nov 9 2023 Zoran Pericic <releng@fedoraproject.org> - 0.2.0-1
- Initial release
